import { Tracker } from '@snowplow/node-tracker';
import { GitLabSDKOptions } from './types';
export declare class GitLabSDK {
    options: GitLabSDKOptions;
    tracker: Tracker | null;
    constructor(options: GitLabSDKOptions);
    /**
     * Track the user defined custom event
     *
     * @param {eventName} eventName -  Name of the custom event
     * @param {eventAttributes} eventAttributes -  Additional information for custom event
     * @returns {void}
     */
    track(eventName: string, { ...eventAttributes }?: Record<string, any>): void;
    /**
     * Set the user ID
     */
    private setUserId;
    /**
     * Set the user context
     */
    private setUserContext;
    /**
     * Set the business defined userId and other user attributes
     *
     * @param {userId} userId -  The business-defined user ID
     * @param {userAttributes} userAttributes -  The business-defined user attributes
     * @returns {void}
     */
    identify(userId: string, userAttributes?: Record<string, any>): void;
}
